/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
var _this;
var app = {
    // Application Constructor
    initialize: function() {

		this.receivedEvent();
		window.languageSelected = "English";
       // document.addEventListener('deviceready', this.onDeviceReady.bind(this), false);
    },

    // Update DOM on a Received Event
    receivedEvent: function(id) {
       
		
		//Initializing Phaser...
        var game = new Phaser.Game(960,540,Phaser.CANVAS,'');

     
        game.state.add('boot',Game.boot);
        game.state.add('preloader',Game.preloader);
        game.state.add('nsf3_5level1',Game.nsf3_5level1);
        game.state.add('nsf3_5Score',Game.nsf3_5Score);
  
		
		
		//initializing/creating sqlite database for storing the telemetry data.  
		//absdsjsapi.initializeDS();
		
		//starting the boot state of the game.
		game.state.start('boot');

		window.timeSaveFunc = function()
		{
			var today = new Date();
			var dd = today.getDate();
			var mm = today.getMonth()+1;//January is 0, so always add + 1

			var yyyy = today.getFullYear();
			if(dd<10){dd='0'+dd}
			if(mm<10){mm='0'+mm}
			
			var hr = today.getHours();
			var min = today.getMinutes();
			var sec = today.getSeconds();
			
			//today = mm+'/'+dd+'/'+yyyy+' '+hr+':'+min+':'+sec;
			today = yyyy+':'+mm+':'+dd+':'+hr+':'+min+':'+sec;
			return today;
		}
		
		
    }
	
	
};


app.initialize();